> ## Documentation Index
> Fetch the complete documentation index at: https://developer.lexful.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a Download URL

> Get the download URL for a file



## OpenAPI

````yaml /api/openapi.yaml get /v1/assets/{assetTypeName}/{assetId}/files/{fileId}/download
openapi: 3.0.3
info:
  title: Documentation Service API
  description: API documentation for Documentation Service
  version: 1.0.0
servers:
  - url: https://api.us.lexful.app
    description: US pod
security:
  - bearerAuth: []
    accountId: []
paths:
  /v1/assets/{assetTypeName}/{assetId}/files/{fileId}/download:
    get:
      tags:
        - Asset Files
      summary: Get a Download URL
      description: Get the download URL for a file
      parameters:
        - schema:
            type: boolean
          in: query
          name: include_deleted
          required: false
          description: 'Include soft-deleted (default: false)'
        - schema:
            type: string
          in: path
          name: assetTypeName
          required: true
          description: Asset type name
        - schema:
            type: string
            format: uuid
          in: path
          name: assetId
          required: true
          description: Asset ID
        - schema:
            type: string
            format: uuid
          in: path
          name: fileId
          required: true
          description: File ID
      responses:
        '200':
          $ref: '#/components/responses/GetDownloadURLResponse'
        '400':
          $ref: '#/components/responses/BadRequestResponse'
        '403':
          $ref: '#/components/responses/ForbiddenResponse'
        '404':
          $ref: '#/components/responses/NotFoundResponse'
        '500':
          $ref: '#/components/responses/InternalServerErrorResponse'
components:
  responses:
    GetDownloadURLResponse:
      description: Default Response
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/GetDownloadURLResponse_application_json'
    BadRequestResponse:
      description: Bad request - validation error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    ForbiddenResponse:
      description: Forbidden - insufficient permissions
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    NotFoundResponse:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
    InternalServerErrorResponse:
      description: Internal server error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorResponse'
  schemas:
    GetDownloadURLResponse_application_json:
      type: object
      properties:
        presignedDownloadUrl:
          type: string
          format: uri
          description: Presigned URL for downloading file from S3
      required:
        - presignedDownloadUrl
    ErrorResponse:
      description: Bad request - validation error
      type: object
      properties:
        status:
          type: number
          description: HTTP status code
        message:
          type: string
          description: Error message
        error_id:
          type: string
          description: Unique error identifier
        error_code:
          type: string
          description: Error code
        developer_message:
          type: string
          description: Additional details for developers
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: Bearer token
    accountId:
      type: apiKey
      in: header
      name: X-Account-ID
      description: Account ID

````